[x86][inline-asm] Introducing (AVX512) k0-k7 registers for inline-asm usage
ClosedPublic

Authored by mharoush on Sep 28 2016, 2:49 AM.

Diff Detail

Repository
rL LLVM
mharoush retitled this revision from to [x86][inline-asm] Introducing (AVX512) k0-k7 registers for inline-asm usage.Sep 28 2016, 2:49 AM
mharoush updated this object.
mharoush added reviewers: delena, myatsina, rnk, echristo.
mharoush set the repository for this revision to rL LLVM.
mharoush added a subscriber: cfe-commits.
rnk added a comment.Sep 30 2016, 8:20 AM

I'm pretty sure GCCRegNames is used to parse constraint lists, not to parse inline asm text. Your test should try using kN as a constraint.

This patch is a part of a larger support for k constraints, its main purpose is to add the option to choose the specific kN register while using basic inline assembly, the constraint support for extended inline assembly is being supported by another patch D25062 D25063

delena accepted this revision.Oct 30 2016, 5:52 AM
This revision is now accepted and ready to land.Oct 30 2016, 5:52 AM
This revision was automatically updated to reflect the committed changes.